Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb
Interface ComplexRangeType

All Known Implementing Classes:
  ComplexRangeTypeImpl

    public interface ComplexRangeType

Describes a range of complex points Java content class for complexRangeType complex type.

The following schema fragment specifies the expected content contained within this java content object. (defined at file:/Users/gw/tech/ecl-wkspaces-infoml/InfOrg-101105-stable-v1_0/InfocardOrganizer-v1_0/infomlFile.xsd line 377)

     <complexType name="complexRangeType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="begin" type="{http://infoml.org/infomlFile}complexPointType" maxOccurs="unbounded"/>
             <element name="end" type="{http://infoml.org/infomlFile}complexPointType" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

Method Summary
`java.util.List` | `getBegin()` Gets the value of the Begin property.
`java.util.List` | `getEnd()` Gets the value of the End property.

Method Detail

### getEnd

    java.util.List getEnd()

  Gets the value of the End property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the End property.

  For example, to add a new item, do as follows:

          getEnd().add(newItem);

  Objects of the following type(s) are allowed in the list `ComplexPointType`

### getBegin

    java.util.List getBegin()

  Gets the value of the Begin property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the Begin property.

  For example, to add a new item, do as follows:

          getBegin().add(newItem);

  Objects of the following type(s) are allowed in the list `ComplexPointType`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD